package com.itsol.quantrivanphong.report.reportdetail.repository;


import com.itsol.quantrivanphong.model.Employee;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface EmployeeRepository extends JpaRepository<Employee, Integer> {

    @Query(value = "SELECT * FROM employee e JOIN eproject ep ON e.id = ep.employee_id JOIN project p  ON ep.project_id = p.id WHERE p.id = ?1 AND ep.position = 'team_lead' GROUP BY e.id",nativeQuery = true)
    List<Employee> findTeamLeadPosition(int projectId);

    @Query(value = "SELECT * FROM employee e JOIN eproject ep ON e.id = ep.employee_id JOIN project p  ON ep.project_id = p.id WHERE p.id = ?1 AND ep.position = 'member' GROUP BY e.id",nativeQuery = true)
    List<Employee> findMemberPosition(int projectId);
}
